#!/bin/sh

# improved starttelnet.sh, enabling the filesystems to be unmounted and checked, if need be. 
 
# copy the provided components to a directory on the ramdisk
# the ramdisk is regenerated with every boot, so the copy has no lasting effects at all
# simply copy the two files over
cp /mnt/HD_a2/lnx_bin/utelnetd /sbin/utelnetd
# cp /mnt/HD_a2/lnx_bin/busybox3 /bin/busybox3
cp /mnt/HD_a2/ffp /ffp
cp /mnt/HD_a2/fdisk /tmp/fdisk

# create the terminal device as usual
# /bin/busybox3 mknod /dev/ptyp0 c 2 0
# /bin/busybox3 chmod 0666 /dev/ptyp0
# /bin/busybox3 mknod /dev/ttyp0 c 3 0
# /bin/busybox3 chmod 0666 /dev/ttyp0

# make a shell link on the ramdisk
# mkdir /bin/busybox3.dir/
# PATH="$PATH:/bin/busybox3.dir"
 
# ln -s /bin/busybox3  /bin/busybox3.dir/sh
 
# and start the Telnet service from the ramdisk as well
/sbin/utelnetd -l /bin/sh -d